petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSSetUp

Sets up the internal data structures for the later use of a timestepper.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetUp(TS ts)

Collective on TS Many br

### Input Parameter

ts -the TS context obtained from TSCreate() Many br

### Notes

For basic use of the TS solvers the user need not explicitly call Many brTSSetUp(), since these actions will automatically occur during Many brthe call to TSStep(). However, if one wishes to control this Many brphase separately, TSSetUp() should be called after TSCreate() Many brand optional routines of the form TSSetXXX(), but before TSStep(). Many br

Many br

### Keywords

TS, timestep, setup

### See Also

TSCreate(), TSStep(), TSDestroy()

Level:advanced
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex17.c.html
src/ts/examples/tutorials/ex28.c.html
src/ts/examples/tutorials/ex42.c.html
src/ts/examples/tutorials/ex1f.F.html